package com.benyun.core;

import com.benyun.core.dao.WdInfoDao;
import com.benyun.core.entity.WdInfo;
import com.benyun.core.utils.WdRedisStoreage;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.geo.Point;
import org.springframework.data.redis.core.RedisTemplate;

import java.math.BigDecimal;
import java.util.List;
import java.util.Random;
import java.util.concurrent.CompletableFuture;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;

@SpringBootTest
class BenyunCoreApplicationTests {
    @Autowired
    WdRedisStoreage wdRedisStoreage;

    @Test
    void contextLoads() {
        wdRedisStoreage.writeWdGeoRedis();
    }

}
